Skip to main content
POST
/
api
/
2.0
/
patient-provider-team-members
Create Patient Provider Team Member
curl --request POST \
  --url https://sandbox.elationemr.com/api/2.0/patient-provider-team-members/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "patient_provider_team_id": 123,
  "physician_id": 123,
  "group": "main",
  "treatment_reason": "<string>"
}
'
{
  "patient_provider_team_id": 123,
  "physician_id": 123,
  "activity_summary_last_refreshed": "2023-11-07T05:31:56Z",
  "earliest_activity": "2023-11-07T05:31:56Z",
  "group": "main",
  "latest_activity": "2023-11-07T05:31:56Z",
  "patient_id": 123,
  "patient_provider_team_member_id": 123,
  "rank": 2,
  "treatment_reason": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://help.elationhealth.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
patient_provider_team_id
integer
required

Patient Provider team ID

physician_id
integer
required

The Physician that this team member represents.

group
enum<string>
default:main

Can either be main or other. By default members are placed in the main group. Only members in the main group will be displayed on the Patient chart in the web application.

  • main - main
  • other - other
Available options:
main,
other
treatment_reason
string | null

The reason why this physician is in this team

Response

201 - application/json
patient_provider_team_id
integer
required

Patient Provider team ID

physician_id
integer
required

The Physician that this team member represents.

activity_summary_last_refreshed
string<date-time>
read-only

The last known time when this team member's activity was synced.

earliest_activity
string<date-time>
read-only

Displays the earliest known interaction between the team member and the patient.

group
enum<string>
default:main

Can either be main or other. By default members are placed in the main group. Only members in the main group will be displayed on the Patient chart in the web application.

  • main - main
  • other - other
Available options:
main,
other
latest_activity
string<date-time>
read-only

Displays the latest known interaction between the team member and the patient.

patient_id
integer
read-only

The id of the Patient that this team is associated with.

patient_provider_team_member_id
integer
read-only
rank
integer
read-only

Used for displaying a sorted patient provider team in the patient chart. Rank is sequential and begins at 1.

Required range: x >= 1
treatment_reason
string | null

The reason why this physician is in this team